AddType application/javascript .mjs

#DirectoryIndex spa.html
# notwendig, da sonst über normale url spa.html aufgerufen wird, muss nur datei name sei, der nicht existiert
DirectoryIndex noindex

<ifModule mod_rewrite.c>
    RewriteEngine On
    RewriteBase /

    RewriteRule ^/?api/(.*)$ http://tibi-server:8080/api/v1/_/fontis_v2/$1 [P,QSA,L]

    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    # leitet initale request an backend und nicht an spa.html weiter
    RewriteRule ^/?(.*)$ http://tibi-server:8080/api/v1/_/fontis_v2/ssr?token=owshwerNwoa&url=/$1 [P,QSA,L]
    # standardmäßig wegen deeplink aus google notwendig, da sonst 404
    #RewriteRule (.*) /spa.html [QSA,L]
</ifModule>
